Bug 908353

Summary: passdb backend ldapsam no longer works
Product: [Fedora] Fedora Reporter: Thomas Sailer <t.sailer>
Component: sambaAssignee: Andreas Schneider <asn>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: abokovoy, asn, gdeschner, jlayton, sbose, ssorce
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 917529 (view as bug list) Environment:
Last Closed: 2013-02-12 05:04:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 917529    

Description Thomas Sailer 2013-02-06 13:45:34 UTC
Description of problem:
samba will no longer start if the ldapsam passdb backend is configured

Version-Release number of selected component (if applicable):
samba-4.0.1-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1.configure samba for an ldapsam backend
(mainly passdb backend = ldapsam, plus for example
        ldap admin dn = cn=Directory Manager
        ldap suffix = dc=xxxx,dc=com
        ldap user suffix = cn=users,cn=accounts
        ldap machine suffix = cn=computers,cn=accounts
        ldap group suffix = cn=groups,cn=accounts
        ldap ssl = off
if an IPA compatible ldap database is used to hold credentials)
2.then start smbd

Actual results:
smbd no longer starts

Expected results:
smbd starts and works

Additional info:
smbd tries to load the backend from:
/usr/lib64/samba/pdb/ldapsam.so
but ldapsam.so is simply not there

Comment 1 Alexander Bokovoy 2013-02-06 14:20:17 UTC
This will be fixed in the next build. Appropriate patchset was pushed to the upstream master today: 1b582c4bf8ad46034eb30c758b085dc210e8096a..ff496ef29fe0eb8db929ba014abf5f8eeed86b33

Comment 2 Fedora Update System 2013-02-07 16:17:07 UTC
libtdb-1.2.11-1.fc18, libtalloc-2.0.8-1.fc18, libldb-1.1.15-2.fc18, sssd-1.9.4-3.fc18, samba-4.0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libtalloc-2.0.8-1.fc18,libtdb-1.2.11-1.fc18,libldb-1.1.15-2.fc18,sssd-1.9.4-3.fc18,samba-4.0.3-1.fc18

Comment 3 Fedora Update System 2013-02-08 16:59:37 UTC
Package libtdb-1.2.11-1.fc18, libtalloc-2.0.8-1.fc18, libldb-1.1.15-2.fc18, sssd-1.9.4-3.fc18, samba-4.0.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtdb-1.2.11-1.fc18 libtalloc-2.0.8-1.fc18 libldb-1.1.15-2.fc18 sssd-1.9.4-3.fc18 samba-4.0.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2138/libtalloc-2.0.8-1.fc18,libtdb-1.2.11-1.fc18,libldb-1.1.15-2.fc18,sssd-1.9.4-3.fc18,samba-4.0.3-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-02-12 05:04:45 UTC
libtdb-1.2.11-1.fc18, libtalloc-2.0.8-1.fc18, libldb-1.1.15-2.fc18, sssd-1.9.4-3.fc18, samba-4.0.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.